diff --git a/include/ieee1516-2010/RTI/RTIambassador.h b/include/ieee1516-2010/RTI/RTIambassador.h
index 18fb5d0a..c9fe20ad 100644
--- a/include/ieee1516-2010/RTI/RTIambassador.h
+++ b/include/ieee1516-2010/RTI/RTIambassador.h
@@ -879,235 +361,73 @@ namespace rti1516e
 
       // 8.2
       virtual void enableTimeRegulation (
-         LogicalTimeInterval const & theLookahead)
-         throw (
-            InvalidLookahead,
-            InTimeAdvancingState,
-            RequestForTimeRegulationPending,
-            TimeRegulationAlreadyEnabled,
-            SaveInProgress,
-            RestoreInProgress,
-            FederateNotExecutionMember,
-            NotConnected,
-            RTIinternalError) = 0;
+         LogicalTimeInterval const & theLookahead) = 0;
 
       // 8.4
-      virtual void disableTimeRegulation ()
-         throw (
-            TimeRegulationIsNotEnabled,
-            SaveInProgress,
-            RestoreInProgress,
-            FederateNotExecutionMember,
-            NotConnected,
-            RTIinternalError) = 0;
+      virtual void disableTimeRegulation () = 0;
 
       // 8.5
-      virtual void enableTimeConstrained ()
-         throw (
-            InTimeAdvancingState,
-            RequestForTimeConstrainedPending,
-            TimeConstrainedAlreadyEnabled,
-            SaveInProgress,
-            RestoreInProgress,
-            FederateNotExecutionMember,
-            NotConnected,
-            RTIinternalError) = 0;
+      virtual void enableTimeConstrained () = 0;
 
       // 8.7
-      virtual void disableTimeConstrained ()
-         throw (
-            TimeConstrainedIsNotEnabled,
-            SaveInProgress,
-            RestoreInProgress,
-            FederateNotExecutionMember,
-            NotConnected,
-            RTIinternalError) = 0;
+      virtual void disableTimeConstrained () = 0;
 
       // 8.8
       virtual void timeAdvanceRequest (
-         LogicalTime const & theTime)
-         throw (
-            LogicalTimeAlreadyPassed,
-            InvalidLogicalTime,
-            InTimeAdvancingState,
-            RequestForTimeRegulationPending,
-            RequestForTimeConstrainedPending,
-            SaveInProgress,
-            RestoreInProgress,
-            FederateNotExecutionMember,
-            NotConnected,
-            RTIinternalError) = 0;
+         LogicalTime const & theTime) = 0;
 
       // 8.9
       virtual void timeAdvanceRequestAvailable (
-         LogicalTime const & theTime)
-         throw (
-            LogicalTimeAlreadyPassed,
-            InvalidLogicalTime,
-            InTimeAdvancingState,
-            RequestForTimeRegulationPending,
-            RequestForTimeConstrainedPending,
-            SaveInProgress,
-            RestoreInProgress,
-            FederateNotExecutionMember,
-            NotConnected,
-            RTIinternalError) = 0;
+         LogicalTime const & theTime) = 0;
 
       // 8.10
       virtual void nextMessageRequest (
-         LogicalTime const & theTime)
-         throw (
-            LogicalTimeAlreadyPassed,
-            InvalidLogicalTime,
-            InTimeAdvancingState,
-            RequestForTimeRegulationPending,
-            RequestForTimeConstrainedPending,
-            SaveInProgress,
-            RestoreInProgress,
-            FederateNotExecutionMember,
-            NotConnected,
-            RTIinternalError) = 0;
+         LogicalTime const & theTime) = 0;
 
       // 8.11
       virtual void nextMessageRequestAvailable (
-         LogicalTime const & theTime)
-         throw (
-            LogicalTimeAlreadyPassed,
-            InvalidLogicalTime,
-            InTimeAdvancingState,
-            RequestForTimeRegulationPending,
-            RequestForTimeConstrainedPending,
-            SaveInProgress,
-            RestoreInProgress,
-            FederateNotExecutionMember,
-            NotConnected,
-            RTIinternalError) = 0;
+         LogicalTime const & theTime) = 0;
 
       // 8.12
       virtual void flushQueueRequest (
-         LogicalTime const & theTime)
-         throw (
-            LogicalTimeAlreadyPassed,
-            InvalidLogicalTime,
-            InTimeAdvancingState,
-            RequestForTimeRegulationPending,
-            RequestForTimeConstrainedPending,
-            SaveInProgress,
-            RestoreInProgress,
-            FederateNotExecutionMember,
-            NotConnected,
-            RTIinternalError) = 0;
+         LogicalTime const & theTime) = 0;
 
       // 8.14
-      virtual void enableAsynchronousDelivery ()
-         throw (
-            AsynchronousDeliveryAlreadyEnabled,
-            SaveInProgress,
-            RestoreInProgress,
-            FederateNotExecutionMember,
-            NotConnected,
-            RTIinternalError) = 0;
+      virtual void enableAsynchronousDelivery () = 0;
 
       // 8.15
-      virtual void disableAsynchronousDelivery ()
-         throw (
-            AsynchronousDeliveryAlreadyDisabled,
-            SaveInProgress,
-            RestoreInProgress,
-            FederateNotExecutionMember,
-            NotConnected,
-            RTIinternalError) = 0;
+      virtual void disableAsynchronousDelivery () = 0;
 
       // 8.16
-      virtual bool queryGALT (LogicalTime & theTime)
-         throw (
-            SaveInProgress,
-            RestoreInProgress,
-            FederateNotExecutionMember,
-            NotConnected,
-            RTIinternalError) = 0;
+      virtual bool queryGALT (LogicalTime & theTime) = 0;
 
       // 8.17
-      virtual void queryLogicalTime (LogicalTime & theTime)
-         throw (
-            SaveInProgress,
-            RestoreInProgress,
-            FederateNotExecutionMember,
-            NotConnected,
-            RTIinternalError) = 0;
+      virtual void queryLogicalTime (LogicalTime & theTime) = 0;
 
       // 8.18
-      virtual bool queryLITS (LogicalTime & theTime)
-         throw (
-            SaveInProgress,
-            RestoreInProgress,
-            FederateNotExecutionMember,
-            NotConnected,
-            RTIinternalError) = 0;
+      virtual bool queryLITS (LogicalTime & theTime) = 0;
 
       // 8.19
       virtual void modifyLookahead (
-         LogicalTimeInterval const & theLookahead)
-         throw (
-            InvalidLookahead,
-            InTimeAdvancingState,
-            TimeRegulationIsNotEnabled,
-            SaveInProgress,
-            RestoreInProgress,
-            FederateNotExecutionMember,
-            NotConnected,
-            RTIinternalError) = 0;
+         LogicalTimeInterval const & theLookahead) = 0;
 
       // 8.20
-      virtual void queryLookahead (LogicalTimeInterval & interval)
-         throw (
-            TimeRegulationIsNotEnabled,
-            SaveInProgress,
-            RestoreInProgress,
-            FederateNotExecutionMember,
-            NotConnected,
-            RTIinternalError) = 0;
+      virtual void queryLookahead (LogicalTimeInterval & interval) = 0;
 
       // 8.21
       virtual void retract (
-         MessageRetractionHandle theHandle)
-         throw (
-            MessageCanNoLongerBeRetracted,
-            InvalidMessageRetractionHandle,
-            TimeRegulationIsNotEnabled,
-            SaveInProgress,
-            RestoreInProgress,
-            FederateNotExecutionMember,
-            NotConnected,
-            RTIinternalError) = 0;
+         MessageRetractionHandle theHandle) = 0;
 
       // 8.23
       virtual void changeAttributeOrderType (
          ObjectInstanceHandle theObject,
          AttributeHandleSet const & theAttributes,
-         OrderType theType)
-         throw (
-            AttributeNotOwned,
-            AttributeNotDefined,
-            ObjectInstanceNotKnown,
-            SaveInProgress,
-            RestoreInProgress,
-            FederateNotExecutionMember,
-            NotConnected,
-            RTIinternalError) = 0;
+         OrderType theType) = 0;
 
       // 8.24
       virtual void changeInteractionOrderType (
          InteractionClassHandle theClass,
-         OrderType theType)
-         throw (
-            InteractionClassNotPublished,
-            InteractionClassNotDefined,
-            SaveInProgress,
-            RestoreInProgress,
-            FederateNotExecutionMember,
-            NotConnected,
-            RTIinternalError) = 0;
+         OrderType theType) = 0;
 
       //////////////////////////////////
       // Data Distribution Management //
@@ -1115,112 +435,39 @@ namespace rti1516e
 
       // 9.2
       virtual RegionHandle createRegion (
-         DimensionHandleSet const & theDimensions)
-         throw (
-            InvalidDimensionHandle,
-            SaveInProgress,
-            RestoreInProgress,
-            FederateNotExecutionMember,
-            NotConnected,
-            RTIinternalError) = 0;
+         DimensionHandleSet const & theDimensions) = 0;
 
       // 9.3
       virtual void commitRegionModifications (
-         RegionHandleSet const & theRegionHandleSet)
-         throw (
-            RegionNotCreatedByThisFederate,
-            InvalidRegion,
-            SaveInProgress,
-            RestoreInProgress,
-            FederateNotExecutionMember,
-            NotConnected,
-            RTIinternalError) = 0;
+         RegionHandleSet const & theRegionHandleSet) = 0;
 
       // 9.4
       virtual void deleteRegion (
-         RegionHandle const & theRegion)
-         throw (
-            RegionInUseForUpdateOrSubscription,
-            RegionNotCreatedByThisFederate,
-            InvalidRegion,
-            SaveInProgress,
-            RestoreInProgress,
-            FederateNotExecutionMember,
-            NotConnected,
-            RTIinternalError) = 0;
+         RegionHandle const & theRegion) = 0;
 
       // 9.5
       virtual ObjectInstanceHandle registerObjectInstanceWithRegions (
          ObjectClassHandle theClass,
          AttributeHandleSetRegionHandleSetPairVector const &
-         theAttributeHandleSetRegionHandleSetPairVector)
-         throw (
-            InvalidRegionContext,
-            RegionNotCreatedByThisFederate,
-            InvalidRegion,
-            AttributeNotPublished,
-            ObjectClassNotPublished,
-            AttributeNotDefined,
-            ObjectClassNotDefined,
-            SaveInProgress,
-            RestoreInProgress,
-            FederateNotExecutionMember,
-            NotConnected,
-            RTIinternalError) = 0;
+         theAttributeHandleSetRegionHandleSetPairVector) = 0;
 
       virtual ObjectInstanceHandle registerObjectInstanceWithRegions (
          ObjectClassHandle theClass,
          AttributeHandleSetRegionHandleSetPairVector const &
          theAttributeHandleSetRegionHandleSetPairVector,
-         std::wstring const & theObjectInstanceName)
-         throw (
-            ObjectInstanceNameInUse,
-            ObjectInstanceNameNotReserved,
-            InvalidRegionContext,
-            RegionNotCreatedByThisFederate,
-            InvalidRegion,
-            AttributeNotPublished,
-            ObjectClassNotPublished,
-            AttributeNotDefined,
-            ObjectClassNotDefined,
-            SaveInProgress,
-            RestoreInProgress,
-            FederateNotExecutionMember,
-            NotConnected,
-            RTIinternalError) = 0;
+         std::wstring const & theObjectInstanceName) = 0;
 
       // 9.6
       virtual void associateRegionsForUpdates (
          ObjectInstanceHandle theObject,
          AttributeHandleSetRegionHandleSetPairVector const &
-         theAttributeHandleSetRegionHandleSetPairVector)
-         throw (
-            InvalidRegionContext,
-            RegionNotCreatedByThisFederate,
-            InvalidRegion,
-            AttributeNotDefined,
-            ObjectInstanceNotKnown,
-            SaveInProgress,
-            RestoreInProgress,
-            FederateNotExecutionMember,
-            NotConnected,
-            RTIinternalError) = 0;
+         theAttributeHandleSetRegionHandleSetPairVector) = 0;
 
       // 9.7
       virtual void unassociateRegionsForUpdates (
          ObjectInstanceHandle theObject,
          AttributeHandleSetRegionHandleSetPairVector const &
-         theAttributeHandleSetRegionHandleSetPairVector)
-         throw (
-            RegionNotCreatedByThisFederate,
-            InvalidRegion,
-            AttributeNotDefined,
-            ObjectInstanceNotKnown,
-            SaveInProgress,
-            RestoreInProgress,
-            FederateNotExecutionMember,
-            NotConnected,
-            RTIinternalError) = 0;
+         theAttributeHandleSetRegionHandleSetPairVector) = 0;
 
       // 9.8
       virtual void subscribeObjectClassAttributesWithRegions (
